.full-width-slider {
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    width: 100vw;
    overflow: hidden;
}

.full-width-slider .swiper {
    width: 100%;
    overflow: visible !important;
}

.full-width-slider .swiper-wrapper {
    display: flex;
    /*margin-top: 70px;*/
}

.full-width-slider .swiper-slide {
    max-width: 340px !important;
    height: auto !important;
    flex-shrink: 0;
    background: var(--grey-extra-light);
    display: flex;
}

.slide-content-wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.lector_foto {
    width: 100%;
    height: 230px;
    flex-shrink: 0;
}

.lector_foto img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.lector_info {
    padding: 30px 20px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.top_slider_nav {
    position: relative;
    margin: auto;
    display: flex;
    align-items: start;
    justify-content: space-between;
}

.prepod_fio {
    font-weight: 500;
    font-size: 20px;
    line-height: 1.5;
}

.prepod_about {
    font-size: 15px;
    line-height: 1.5;
    padding-top: 10px;
}
.slider-prep-mp div.h1 {
    font-weight: 700;
    font-size: 44px;
    line-height: 1.2;
    margin: 0 0 20px;
}
section.slider-prep-mp {
    padding-top: 120px;
}
.nav_prep {
    width: 134px;
    display: flex;
    height: 77px;
    gap: 20px;
    text-align: right;
    justify-content: right;
    position: relative;
    padding-bottom: 20px;
}
.swiper-button-prev.slider_prepods_prev,.swiper-button-next.slider_prepods_next {
    position: unset;
    margin: 0!important;
    width: 57px;
    height: 57px;
    color: var(--red);
}
.swiper-pagination-2.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {
     margin: auto;
     text-align: center;
     padding: 20px 0 0 0;
 }
@media screen and (max-width: 379px){
    .full-width-slider  .b-wrap-fix {
            padding: 0!important;
    }
    .full-width-slider {
        left: 0;
        right: 0;
        margin-left: 0;
        margin-right: 0;
        width: 100%;
    }
}

/* адаптивные правила для мобильных */
@media screen and (max-width: 577px) {
    .nav_prep {
        display: none !important;
    }

    section.slider-prep-mp {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .full-width-slider {
        position: relative;
        left: 50%;
        right: 50%;
        margin-left: -50vw;
        margin-right: -50vw;
        width: 100vw;
        overflow: hidden;
    }

    .full-width-slider .swiper {
        overflow: hidden !important; 
        padding: 0;
    }

    .full-width-slider .swiper-slide {
        width: 100vw !important;
        max-width: 100vw !important;
    }
}